OaIdl.CURRENCY._CURRENCY (JNA API)

com.sun.jna.platform.win32

## Class OaIdl.CURRENCY._CURRENCY

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.OaIdl.CURRENCY._CURRENCY

- Enclosing class:
    OaIdl.CURRENCY

      @Structure.FieldOrder(value={"Lo","Hi"})
      public static class OaIdl.CURRENCY._CURRENCY
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `WinDef.LONG` | `Hi`
    `WinDef.ULONG` | `Lo`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `_CURRENCY()`
    `_CURRENCY(Pointer pointer)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### Lo

          public WinDef.ULONG Lo

    - #### Hi

          public WinDef.LONG Hi

  - ### Constructor Detail

    - #### _CURRENCY

          public _CURRENCY()

    - #### _CURRENCY

          public _CURRENCY(Pointer pointer)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.